Bug 253408 - [NEW PORT]: net/p5-Net-Connection-Match Runs a stack of checks to match Net::Connection objects
Summary: [NEW PORT]: net/p5-Net-Connection-Match Runs a stack of checks to match Net...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks: 253410
  Show dependency treegraph
 
Reported: 2021-02-10 12:42 UTC by Zane C. Bowers-Hadley
Modified: 2021-02-27 00:09 UTC (History)
2 users (show)

See Also:


Attachments
svn diff (4.86 KB, patch)
2021-02-10 12:42 UTC, Zane C. Bowers-Hadley
no flags Details | Diff
svn diff (4.86 KB, patch)
2021-02-17 10:20 UTC, Zane C. Bowers-Hadley
no flags Details | Diff
svn diff (4.95 KB, patch)
2021-02-20 14:26 UTC, Zane C. Bowers-Hadley
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zane C. Bowers-Hadley 2021-02-10 12:42:22 UTC
Created attachment 222335 [details]
svn diff

Porting for the purpose of porting ncnetstat.




Provides a easy to use method for checking if a Net::Connection
object mathes a series of checks.

Currently can do matching based off of the following.

 * CIDR
 * Command
 * PctCPU
 * PctMem
 * Ports
 * Protocol
 * State
 * RegexPTR
 * PTR
 * UID
 * Username
 * WChan

WWW: https://metacpan.org/release/Net-Connection-Match
Comment 1 Zane C. Bowers-Hadley 2021-02-17 10:20:47 UTC
Created attachment 222520 [details]
svn diff

Poudriere and portlint all happy.
Comment 2 Zane C. Bowers-Hadley 2021-02-20 14:26:32 UTC
Created attachment 222675 [details]
svn diff

Update Net::Connection::Match to 0.5.0.
Comment 3 commit-hook freebsd_committer 2021-02-27 00:06:49 UTC
A commit references this bug:

Author: swills
Date: Sat Feb 27 00:06:10 UTC 2021
New revision: 566645
URL: https://svnweb.freebsd.org/changeset/ports/566645

Log:
  net/p5-Net-Connection-Match: create port

  Provides a easy to use method for checking if a Net::Connection
  object mathes a series of checks.

  Currently can do matching based off of the following.

   * CIDR
   * Command
   * PctCPU
   * PctMem
   * Ports
   * Protocol
   * State
   * RegexPTR
   * PTR
   * UID
   * Username
   * WChan

  WWW: https://metacpan.org/release/Net-Connection-Match

  PR:		253408
  Submitted by:	Zane C. Bowers-Hadley <vvelox@vvelox.net>

Changes:
  head/net/p5-Net-Connection-Match/
  head/net/p5-Net-Connection-Match/Makefile
  head/net/p5-Net-Connection-Match/distinfo
  head/net/p5-Net-Connection-Match/pkg-descr
  head/net/p5-Net-Connection-Match/pkg-plist
Comment 4 Steve Wills freebsd_committer 2021-02-27 00:09:48 UTC
Committed, thanks!